## GESSourceClip GESSourceClip — Base Class for sources of a GESLayer |

## Types and Values

| GESSourceClip
| GESSourceClipClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESSourceClip
                            ├── GESTestClip
                            ├── GESUriClip
                            ╰── GESTitleClip

## Implemented Interfaces

GESSourceClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESSourceClip

    typedef struct _GESSourceClip GESSourceClip;

Base class for sources of a GESLayer

### GESSourceClipClass

    typedef struct {
    } GESSourceClipClass;